Account Blocklist
Get block status of accounts/hosts
Parameters
accountsArray<string>queryCheck if these accounts are blocked
hostsArray<string>queryCheck if these hosts are blocked
Response
successful operation
List accounts blocked by my account
Get the list of accounts that the authenticated user has blocked
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
searchstringquerySearch query string
Response
successful operation
authentication required
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Block an account by my account
Add an account to the authenticated user's blocklist
Body
accountNamestringrequiredAccount name to block (format: name@host)
user@example.comResponse
successful operation - account blocked
invalid account name
authentication required
account not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Unblock an account by my account
Remove an account from the authenticated user's blocklist
Parameters
accountNamestringrequiredpathAccount name to unblock (format: name@host)
Response
successful operation - account unblocked
invalid account name
authentication required
account block not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
List servers blocked by my account
Get the list of servers that the authenticated user has blocked
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
searchstringquerySearch query string
Response
successful operation
authentication required
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Block a server by my account
Add a server to the authenticated user's blocklist
Body
hoststringrequiredServer host to block
example.comResponse
successful operation - server blocked
invalid server host
authentication required
server not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
Unblock a server by my account
Remove a server from the authenticated user's blocklist
Parameters
hoststringrequiredpathServer host to unblock
Response
successful operation - server unblocked
invalid server host
authentication required
server block not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: user
